intelli-CTi compatible with MS Dynamics CRM 2016

intelli-CTi tested to be fully compatible with Microsoft Dynamics CRM 2016

Microsoft Dynamics CRM 2016 is now available and we are happy to confirm that QGate’s intelli-CTi has been tested to be fully compatible with this latest version of your Microsoft Dynamics CRM 2016 system.

Naturally when you’re configuring intelli-CTi and go to the “Version” drop-down menu, you won’t see an option for “Dynamics CRM 2016” – because the intelli-CTi you have was launched prior to the release of Microsoft Dynamics CRM 2016.

For the time being, simply select “CRM 2015” on that menu and intelli-CTi will work as before. The “CRM 2016” option will be added to the “Version” list on next release of intelli-CTi for Microsoft Dynamics CRM.

As always, if you face any difficulties, please get in touch and we will assist you through the process.  For additional information on intelli-CTi, please visit our Help Center.

Related Resources:


See the intelli-CTi Help Center User Guidelines for important considerations of use.